﻿#region "GNU General Public License"
/*
 *  Socket Server 2010 provides the ability to to have a socket server for testing
    Copyright (C) 2012  David Welford-Costelloe (http://www.welford-costelloe.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#endregion

namespace SocketServer2010.Classes
{
    public static class AppConstants
    {
        // Icons
        public const string ON_LINE_ICON_IMAGE = "SocketServer2010.Resources.clicknrun.png";
        public const string ON_LINE_WAIT_IMAGE = "SocketServer2010.Resources.quick_restart.png";
        public const string OFF_LINE_ICON_IMAGE = "SocketServer2010.Resources.clicknrungrey.png";
        public const string MAIN_ICON_IMAGE = "SocketServer2010.Resources.Padlock.ico";
        public const string ABOUT_ICON_IMAGE = "SocketServer2010.Resources.Help and Support.ico";
        public const string BROWSER_ICON_IMAGE = "SocketServer2010.Resources.Globe Connected.ico";
        // Strings
        public const string OFFLINE_TEXT = "Currently NOT Connected to any Ports";
        public const string WAITLINE_TEXT = "Socket is waiting for Data";
        // Regex Pattern validate IP Address
        public const string IP_PATTERN_ADDRESS = @"^([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(\.    ([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])){3}$";
    }
}